Skip to main content
POST
/
v2
/
commentannotations
/
delete
Delete Comment Annotations
curl --request POST \
  --url https://api.velt.dev/v2/commentannotations/delete \
  --header 'Content-Type: application/json' \
  --header 'x-velt-api-key: <x-velt-api-key>' \
  --header 'x-velt-auth-token: <x-velt-auth-token>' \
  --data '
{
  "data": {
    "organizationId": "<string>",
    "documentId": "<string>",
    "locationIds": [
      "<string>"
    ],
    "annotationIds": [
      "<string>"
    ],
    "userIds": [
      "<string>"
    ]
  }
}
'
import requests

url = "https://api.velt.dev/v2/commentannotations/delete"

payload = { "data": {
"organizationId": "<string>",
"documentId": "<string>",
"locationIds": ["<string>"],
"annotationIds": ["<string>"],
"userIds": ["<string>"]
} }
headers = {
"x-velt-api-key": "<x-velt-api-key>",
"x-velt-auth-token": "<x-velt-auth-token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'x-velt-api-key': '<x-velt-api-key>',
'x-velt-auth-token': '<x-velt-auth-token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
organizationId: '<string>',
documentId: '<string>',
locationIds: ['<string>'],
annotationIds: ['<string>'],
userIds: ['<string>']
}
})
};

fetch('https://api.velt.dev/v2/commentannotations/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "result": {
    "status": "success",
    "message": "Annotations deleted successfully.",
    "data": {
      "yourAnnotationId": {
        "success": true,
        "id": "yourAnnotationId",
        "message": "Deleted Successfully"
      }
    }
  }
}
Use this API to delete comment annotations from a document within an organization. Additional filters can be applied using location IDs, annotation IDs, or user IDs.

Endpoint

POST https://api.velt.dev/v2/commentannotations/delete

Headers

x-velt-api-key
string
required
Your API key.
x-velt-auth-token
string
required

Body

Params

data
object
required

Example Requests

1. Delete annotations by organizationId and documentId

{
  "data": {
    "organizationId": "yourOrganizationId",
    "documentId": "yourDocumentId"
  }
}

2. Delete annotations by organizationId, documentId and locationIds

{
  "data": {
    "organizationId": "yourOrganizationId",
    "documentId": "yourDocumentId",
    "locationIds": [
      "locationx"
    ]
  }
}

3. Delete annotations by organizationId, documentId, locationIds and userIds

{
  "data": {
    "organizationId": "yourOrganizationId",
    "documentId": "yourDocumentId",
    "locationIds": [
      "locationx"
    ],
    "userIds": [
      "yourUserId"
    ]
  }
}

4. Delete annotations by organizationId, documentId and userIds

{
  "data": {
    "organizationId": "yourOrganizationId",
    "documentId": "yourDocumentId",
    "userIds": [
      "yourUserId"
    ]
  }
}

5. Delete annotations by organizationId, documentId and annotationIds

{
  "data": {
    "organizationId": "yourOrganizationId",
    "documentId": "yourDocumentId",
    "annotationIds": [
      "yourAnnotationId1",
      "yourAnnotationId2"
    ]
  }
}

6. Delete annotations by organizationId, documentId, locationIds and annotationIds

{
  "data": {
    "organizationId": "yourOrganizationId",
    "documentId": "yourDocumentId",
    "locationIds": [
      "locationx"
    ],
    "annotationIds": [
      "yourAnnotationId1",
      "yourAnnotationId2"
    ]
  }
}

7. Delete annotations by documentId. This will work if the document was created without an organization.

{
  "data": {
    "documentId": "yourDocumentId"
  }
}

8. Delete annotations by documentId and locationIds. This will work if the document was created without an organization.

{
  "data": {
    "documentId": "yourDocumentId",
    "locationIds": [
      "locationx"
    ]
  }
}

9. Delete annotations by documentId and userIds. This will work if the document was created without an organization.

{
  "data": {
    "documentId": "yourDocumentId",
    "userIds": [
      "yourUserId"
    ]
  }
}

10. Delete annotations by documentId and annotationIds. This will work if the document was created without an organization.

{
  "data": {
    "documentId": "yourDocumentId",
    "annotationIds": [
      "yourAnnotationId1",
      "yourAnnotationId2"
    ]
  }
}

11. Delete annotations by documentId, locationIds, and userIds. This will work if the document was created without an organization.

{
  "data": {
    "documentId": "yourDocumentId",
    "locationIds": [
      "locationx"
    ],
    "userIds": [
      "yourUserId"
    ]
  }
}

12. Delete annotations by documentId, locationIds, and annotationIds. This will work if the document was created without an organization.

{
  "data": {
    "documentId": "yourDocumentId",
    "locationIds": [
      "locationx"
    ],
    "annotationIds": [
      "yourAnnotationId1",
      "yourAnnotationId2"
    ]
  }
}

Response

Success Response

{
  "result": {
    "status": "success",
    "message": "Annotations deleted successfully.",
    "data": {
      "yourAnnotationId1": {
        "success": true,
        "id": "yourAnnotationId",
        "message": "Deleted Successfully"
      },
      "yourAnnotationId2": {
        "success": false,
        "id": "yourAnnotationId2",
        "message": "Annotation not found."
      }
    }
  }
}

Failure Response

{
  "error": {
    "message": "ERROR_MESSAGE",
    "status": "INVALID_ARGUMENT"
  }
}
{
  "result": {
    "status": "success",
    "message": "Annotations deleted successfully.",
    "data": {
      "yourAnnotationId": {
        "success": true,
        "id": "yourAnnotationId",
        "message": "Deleted Successfully"
      }
    }
  }
}